from distutils.core import setup, Extension
from distutils import ccompiler
import numpy
import os
numpy_include = numpy.get_include()

#CUDA toolkit directory
cuda_dir = '/usr/local/cuda' 

os.system(cuda_dir+'/bin/nvcc -c -arch=compute_10 -code=compute_10 src/fpukernel.cu -o src/fpukernel.o')

module_fpucuda = Extension(name='fpuchain.fpucuda',
    sources=['src/fpucuda.c'],
    library_dirs=[cuda_dir+'/lib'],
    libraries=['cuda','cudart'],
    include_dirs=[numpy_include],
    extra_objects=['src/fpukernel.o'])

module_fpucpu = Extension(name='fpuchain.fpucpu',
    sources=['src/fpu.c','src/fpucpu.c'],
    include_dirs=[numpy_include])

setup(name='fpuchain',
    version='0.1',
    description='Fermi-Pasta-Ulam chain solver',
    author='Frederic Legrand',
    author_email='fredlegr@club-internet.fr',
    url='www.f-legrand.fr/scidoc',
    packages=['fpuchain'],
    ext_modules=[module_fpucuda,module_fpucpu])
    
    
